Part Cone

From FreeCAD Documentation
Revision as of 18:40, 22 February 2022 by C4e (talk | contribs)

Part Cone

Menu location
Part → Primitives → Cone
Workbenches
Part
Default shortcut
None
Introduced in version
-
See also
Part Primitives

Description

The Part Cone command creates a parametric cone solid.

FreeCAD creates a cone, each side with a radius of 2 millimetre a height of 10 millimetre.

By default, the cone is positioned with the center of the bottom face at the origin (0,0,0). The bottom of the cone is on the xy-plane. Its extension in z-direction follows the positive axis value.

Usage

  1. There are several ways to invoke the command:
    • Press the Cone button.
    • Select the Part → Primitives → Cone option from the menu.

Example

Part Cone scripting example

A Part Cone object with the values of the bottom scripting example are shown here.

Properties

See also: Property editor.

A Part Torus object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:

Data

Cone

  • DataRadius1 (Length): Radius of the arc or circle defining the lower face
  • DataRadius2 (Length): Radius of the arc or circle defining the upper face
  • DataHeight (Length): Height of the Part Cone
  • DataAngle (Angle): Number of degrees of the arc or circles defining the upper and lower faces of the truncated cone. The default 360° angle creates circular faces, a lower value will create a portion of a cone as defined by upper and lower faces each with edges defined by an arc of the number of degrees and two radii.

Scripting

A Part Cone can be created using the following function:

cone = FreeCAD.ActiveDocument.addObject("Part::Cone", "myCone")
  • Where myCone is the user editable name for the object.
  • The function returns the newly created object.

The label text of the object can be easily changed by

cone.Label = "new myConeName"

You can access and modify attributes of the cone object. For example, you may wish to modify the lower or upper radius, the height or the angle parameters.

cone.Radius1 = 5
cone.Radius2 = 10
cone.Height = 50
cone.Angle = 270

The result will be a 270° portion of a full cone.

You can change its placement and orientation with:

cone.Placement = FreeCAD.Placement(FreeCAD.Vector(1, 2, 3), FreeCAD.Rotation(30, 60, 15))